# $Revision: 1.54 $, $Date: 2002/10/04 19:19:44 $
Summary:	GNOME media programs
Summary(fr):	Programmes multimdia de GNOME
Summary(pl):	Programy multimedialne GNOME'a
Name:		gnome-media
Version:	1.2.3
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/1.2/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-am_conditional.patch
Patch2:		%{name}-omf.patch
Icon:		gnome-media.gif
URL:		http://www.gnome.org/
%ifnarch sparc sparc64
BuildRequires:	alsa-lib-devel
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	gnome-http-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	ORBit-devel
BuildRequires:	libghttp-devel
BuildRequires:	scrollkeeper
Prereq:		scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gnome
Obsoletes:	grecord

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)

%description
GNOME media programs. GNOME is the GNU Network Object Model
Environment. That's a fancy name but really GNOME is a nice GUI
desktop environment. It makes using your computer easy, powerful, and
easy to configure.

%description -l fr
Programmes multimdia GNOME.

GNOME (GNU Network Object Model Environment) est un environnement
graphique de type bureau. Il rends l'utilisation de votre ordinateur
plus facile, agrable et eficace, et est facile  configurer.

%description -l pl
Programy multimedialne GNOME'a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
xml-i18n-toolize --copy --force
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Audiodir=%{_applnkdir}/Multimedia \
	Applicationsdir=%{_applnkdir}/Multimedia \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%{_sysconfdir}/CORBA/servers/gtcd.goad
%attr(755,root,root) %{_bindir}/*
%{_omf_dest_dir}/%{name}
%{_applnkdir}/Multimedia/*
%{_datadir}/gnome/cddb-submit-methods
%{_datadir}/mime-info/*
%{_datadir}/idl/gtcd.idl
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-media.spec,v $
Revision 1.54  2002/10/04 19:19:44  ankry
- added -omf patch, release 2

Revision 1.53  2002/10/04 16:34:56  kloczek
- updated to 1.2.3 (latest version for GNOME 1.x),
- removed outdated patches and updated %fles.
TODO: omf patch.

Revision 1.52  2002/08/05 10:31:25  marcus
- use new %%doc
- rel.6.

Revision 1.51  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.50  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.49  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.47  2002/04/25 16:26:36  arturs
fixed a small typo

Revision 1.46  2002/04/25 13:43:35  marcus
- rel.4.

Revision 1.45  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.44  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/11/25 11:54:54  qrczak
- gnome-media-am_conditional.patch: fix automake madness

Revision 1.41  2001/09/26 10:48:56  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.40  2001/06/03 18:12:22  kloczek
- updated to 1.2.2 (release 3),
- added scrollkeeper files (added scrollkeeper to BuildRequires and Prereq),
- added mime-info files to %files list,
- updated patches,
- regenerate ac/am/lt files,
- added use_AM_GNU_GETTEXT patch.

Revision 1.39  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.38  2000/10/29 16:14:27  kloczek
- merged banch patches from RH,
- fix building gmix with alsa-libs (alsa patch),
- added full tcd documentation (tcd patch).

Revision 1.37  2000/10/27 11:40:09  kloczek
- release 9: rebuild against gnome-libs linked with db3.

Revision 1.36  2000/09/30 20:55:00  kloczek
- fixed installing in proper place Soundrecorder.desktop file.

Revision 1.35  2000/09/30 20:34:02  kloczek
- bump release to 8 (for allow upgrade from RH),
- Group changed to X11/Applications/Multimedia.

Revision 1.34  2000/09/30 20:29:07  kloczek
- release 6,
- spec adapterized.

Revision 1.33  2000/08/02 15:43:22  mkochano
- Soundrecoder.desktop moved to %%{_applnk}.
- Release 5.

Revision 1.32  2000/07/17 02:47:49  kloczek
- added "Obsoletes: grecord" (grecord is now part of the gnome-media)

Revision 1.31  2000/07/13 23:09:15  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.30  2000/07/13 20:40:49  baggins
- release 2

Revision 1.29  2000/06/13 06:29:29  kloczek
- added fr translation,
- removed outdated patches and Sources.

Revision 1.28  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.27  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/26 01:18:46  bonkey
- *corba patches turned off due to compilation problems

Revision 1.25  2000/05/26 01:15:13  bonkey
- updated to 1.2.0

Revision 1.24  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.23  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.22  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.20  2000/01/28 20:50:40  kloczek
- release 3,
- merged aptches from rawhide,
- spec adapterized,
- License changed to GPL,
- gnome-libs-devel, ORBit-devel and libghttp-devel added to BuildRequires,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.19  1999/11/19 03:12:04  kloczek
- release 2,
- added BuildRequires: ncurses-devel >= 5.0",
- build agains ncurses 5.0.

Revision 1.18  1999/11/14 01:13:03  kloczek
- added applnk patch for installing desktop files in applnk directories
  tree,
- added DESTDIR style %install,
- added using %%configure macros,
- removed README from %doc,
- more rpm macros.

Revision 1.17  1999/11/13 21:24:49  wrobell
- upgrade to version 1.0.51

Revision 1.16  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.0.1-2]
- fixed buildprereq
- added find_lang macro

* Thu Apr  1 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.1-1]
- more locales (da, fi, hu, ja, nl, pt, ru_RU).

* Fri Sep 25 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.30-1]
- added in Requires "gtk+ >= 1.1.2, glib >= 1.1.3"
- added ru_RU locale.

* Fri Sep 18 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.27-3]
- added package Icon,
- removed COPYING from %doc (copyright statment is in Copyright field),
- removed gsl from Requires,
- changed prefix to /usr/X11R6.

* Sun Sep  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.27-2]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added stripping binaries,
- removed COPYING from %doc (copyright statment ins in Copyright field),
- added pl translation (Wojtek lusarczyk <wojtek@shadow.eu.org>),
- added full %attr description in %files,
- added %lang macros for %{_datadir}/locale/*/LC_MESSAGES/gnome-media.mo
  files.

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
